<?php
use Illuminate\Support\Facades\Route;
use App\Modules\Auth\Controllers\AuthController;



Route::prefix('auth')->group(function () {

    Route::post('register', [AuthController::class, 'register']);
    Route::post('verify-otp', [AuthController::class, 'verifyOtp']);
    Route::post('resend-otp', [AuthController::class, 'resendOtp']);

    Route::post('login', [AuthController::class, 'login']);

    Route::post('forgot-password', [AuthController::class, 'forgotPassword']);
    // Route::post('reset-password', [AuthController::class, 'resetPassword']);
    Route::post('reset-password', [AuthController::class, 'resetPassword']);

    Route::post('verify-email', [AuthController::class, 'verifyEmail']);

    Route::post('social-login', [AuthController::class, 'socialLogin']);

});



Route::middleware('auth:sanctum')->group(function () {

    Route::get('/profile', [AuthController::class, 'profile']);

    Route::post('/profile', [AuthController::class, 'update']); 

    Route::post('/logout', [AuthController::class, 'logout']);
});

